APP_NAME = Gitea (DDEV)
RUN_MODE = dev
WORK_PATH = /var/www/html

[server]
PROTOCOL = http
HTTP_ADDR = 0.0.0.0
HTTP_PORT = 3000
DOMAIN = gitea.ddev.site
ROOT_URL = https://gitea.ddev.site/
SSH_DOMAIN = gitea.ddev.site
DISABLE_SSH = true
APP_DATA_PATH = /var/www/html/.ddev/gitea/data
LFS_START_SERVER = false
OFFLINE_MODE = true

[database]
DB_TYPE = postgres
HOST = db:5432
NAME = db
USER = db
PASSWD = db
SSL_MODE = disable
SCHEMA = public

[repository]
ROOT = /var/www/html/.ddev/gitea/repositories

[security]
INSTALL_LOCK = true
SECRET_KEY = ddev-gitea-secret-key-placeholder
INTERNAL_TOKEN = ddev-gitea-internal-token-placeholder

[service]
DISABLE_REGISTRATION = false
REQUIRE_SIGNIN_VIEW = false
DEFAULT_KEEP_EMAIL_PRIVATE = false
DEFAULT_ALLOW_CREATE_ORGANIZATION = true

[log]
ROOT_PATH = /var/www/html/.ddev/gitea/log
MODE = console
LEVEL = info

[session]
PROVIDER = memory

[mailer]
ENABLED = false

[indexer]
ISSUE_INDEXER_PATH = /var/www/html/.ddev/gitea/indexers/issues.bleve
REPO_INDEXER_PATH = /var/www/html/.ddev/gitea/indexers/repos.bleve

[queue]
TYPE = level
DATADIR = /var/www/html/.ddev/gitea/queues

[oauth2]
JWT_SECRET = Ox7IRtBouaVq1kogqXCOce5NZLi0OL42SbkRKLZvHY4
